<!DOCTYPE html>
<html lang="en"><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
				
	
		<!-- a bootstrap css is mandatory -->
		<link rel="stylesheet" href="resources/bootstrap.css">	
		
		<style type="text/css">

		
			.summary-table tr td:nth-child(1){
    			width:5%;
			}
			.summary-table tr td:nth-child(2){
    			width:20%;
			}			
 			.summary-table tr td:nth-child(3){
    			width:20%;
			}
 			.summary-table tr td:nth-child(4){
    			width:20%;
			}					
 			.summary-table tr td:nth-child(5){
    			width:35%;
			}		
			
			.stub-table tr td:nth-child(1){
				width:20%;
			}
			.stub-table tr td:nth-child(2){				
				width:60%;
			}
	
			.stub-table tr td:nth-child(4){
				width:10%;
			}
			.stub-table tr td:nth-child(5){
				width:10%;
			}													
						
 	
			
			.model-rows-table tr td:nth-child(1){
				width:55%;
			} 
			.model-rows-table tr td:nth-child(2){
				width:25%;
			}		
			.model-rows-table tr td:nth-child(3){
				width:10%;
			}		
			.model-rows-table tr td:nth-child(4){
				width:10%;
			}		
			
 						
			
		</style>
		
			
		<title>
			ModelBasedValidationWS
		</title>
	
		<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
			<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
			<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		</head>
		<body>
		
		<div class="container">
			<h1>ModelBasedValidationWS</h1>		
			 			
			<h2>Operations</h2>		
						
				<div>						
					<table class="table table-bordered table-condensed summary-table">
						<tbody>
								<tr>
									<th>Index</th>
									<th>Method</th>			
									<th>Parameters</th>
									<th>Response Type</th>
									<th>Description</th>													 									 																										
								</tr>																					 												
									<tr>
										<td><a href="#method1">1</a></td>								
										<td><a href="#method1">validateDocument</a></td>
										<td>
												<table class="table table-condensed table-bordered">
														<tbody><tr>
															<td>
																document
															</td>
														</tr>
														<tr>
															<td>
																validator
															</td>
														</tr>
												</tbody></table>											
										</td>
										<td>
												String
										</td>
										<td></td>																	 										 										 					
												
									</tr>								
									<tr>
										<td><a href="#method2">2</a></td>								
										<td><a href="#method2">about</a></td>
										<td>
										</td>
										<td>
												String
										</td>
										<td></td>																	 										 										 					
												
									</tr>								
									<tr>
										<td><a href="#method3">3</a></td>								
										<td><a href="#method3">getListOfValidators</a></td>
										<td>
												<table class="table table-condensed table-bordered">
														<tbody><tr>
															<td>
																descriminator
															</td>
														</tr>
												</tbody></table>											
										</td>
										<td>
												String[]
										</td>
										<td></td>																	 										 										 					
												
									</tr>								
									<tr>
										<td><a href="#method4">4</a></td>								
										<td><a href="#method4">validateBase64Document</a></td>
										<td>
												<table class="table table-condensed table-bordered">
														<tbody><tr>
															<td>
																base64Document
															</td>
														</tr>
														<tr>
															<td>
																validator
															</td>
														</tr>
												</tbody></table>											
										</td>
										<td>
												String
										</td>
										<td></td>																	 										 										 					
												
									</tr>								
						</tbody>
					</table>	
				</div>	
 
					
						<hr> 
						<h2><a name="method1">validateDocument</a></h2>						
						
	 					<h4>Parameters</h4>		
						
				 																
							<div>				
								<table class="table table-bordered stub-table">
									<tbody>
											<tr>
												<th>Name</th>																					 
												<th>Type</th>																					
											 
												<th>Required</th>
												<th>Description</th>		
										 																									
											</tr>	
												<tr>																	
													<td>document</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>														<tr>																	
													<td>validator</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>																							
									</tbody>						
														
								</table>		
							</div>	
											

						<h4>Response</h4>			
												
							<div>				
								<table class="table table-bordered stub-table">
									<tbody>
											<tr>
												<th>Name</th>																					 
												<th>Type</th>		
											 													
												<th>Required</th>	
												<th>Description</th>	
											 																										
											</tr>									 
												<tr>																	
													<td>DetailedResult</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>											</tbody>						
														
								</table>		
							</div>	
											

		 					
						<hr> 
						<h2><a name="method2">about</a></h2>						
						
	 					<h4>Parameters</h4>		
													No Parameters

						<h4>Response</h4>			
												
							<div>				
								<table class="table table-bordered stub-table">
									<tbody>
											<tr>
												<th>Name</th>																					 
												<th>Type</th>		
											 													
												<th>Required</th>	
												<th>Description</th>	
											 																										
											</tr>									 
												<tr>																	
													<td>about</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>											</tbody>						
														
								</table>		
							</div>	
											

		 					
						<hr> 
						<h2><a name="method3">getListOfValidators</a></h2>						
						
	 					<h4>Parameters</h4>		
						
				 																
							<div>				
								<table class="table table-bordered stub-table">
									<tbody>
											<tr>
												<th>Name</th>																					 
												<th>Type</th>																					
											 
												<th>Required</th>
												<th>Description</th>		
										 																									
											</tr>	
												<tr>																	
													<td>descriminator</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>																							
									</tbody>						
														
								</table>		
							</div>	
											

						<h4>Response</h4>			
												
							<div>				
								<table class="table table-bordered stub-table">
									<tbody>
											<tr>
												<th>Name</th>																					 
												<th>Type</th>		
											 													
												<th>Required</th>	
												<th>Description</th>	
											 																										
											</tr>									 
												<tr>																	
													<td>Validators[]</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String[]</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>											</tbody>						
														
								</table>		
							</div>	
											

		 					
						<hr> 
						<h2><a name="method4">validateBase64Document</a></h2>						
						
	 					<h4>Parameters</h4>		
						
				 																
							<div>				
								<table class="table table-bordered stub-table">
									<tbody>
											<tr>
												<th>Name</th>																					 
												<th>Type</th>																					
											 
												<th>Required</th>
												<th>Description</th>		
										 																									
											</tr>	
												<tr>																	
													<td>base64Document</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>														<tr>																	
													<td>validator</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>																							
									</tbody>						
														
								</table>		
							</div>	
											

						<h4>Response</h4>			
												
							<div>				
								<table class="table table-bordered stub-table">
									<tbody>
											<tr>
												<th>Name</th>																					 
												<th>Type</th>		
											 													
												<th>Required</th>	
												<th>Description</th>	
											 																										
											</tr>									 
												<tr>																	
													<td>DetailedResult</td>												 
													<td>														 
														<div class="panel panel-default">
																<div class="panel-heading">String</div>																																					 		
														</div>														  
													</td>											
													<td>Y</td>
													<td>
														
													</td>
												 
												</tr>											</tbody>						
														
								</table>		
							</div>	
											

		 		</div>			
		
	

 



</body></html>